diff -pruN 0.34.0+dfsg-1/.github/workflows/ci.yml 0.34.1+dfsg-1/.github/workflows/ci.yml
--- 0.34.0+dfsg-1/.github/workflows/ci.yml	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/.github/workflows/ci.yml	2024-06-20 14:04:11.000000000 +0000
@@ -16,12 +16,15 @@ jobs:
       fail-fast: false
       matrix:
         include:
-          - pair:
+          - pair: # Test very old elixir and Erlang
               elixir: "1.13"
               otp: "22"
-          - pair:
+          - pair: # Test Erlang without -doc attribute support
               elixir: "1.16"
               otp: "26"
+          - pair: # Test Erlang with -doc attribute support
+              elixir: "1.17"
+              otp: "27"
             lint: lint
     steps:
       - uses: actions/checkout@v3
diff -pruN 0.34.0+dfsg-1/.github/workflows/release.yml 0.34.1+dfsg-1/.github/workflows/release.yml
--- 0.34.0+dfsg-1/.github/workflows/release.yml	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/.github/workflows/release.yml	2024-06-20 14:04:11.000000000 +0000
@@ -29,12 +29,16 @@ jobs:
       fail-fast: true
       matrix:
         include:
-          - otp: 24
-            otp_version: "24.0"
           - otp: 25
-            otp_version: "25.0.4"
+            otp_version: "25.3.2.12"
+            elixir_version: "1.16.2"
           - otp: 26
-            otp_version: "26.0.2"
+            otp_version: "26.2.5"
+            elixir_version: "1.16.2"
+          - otp: 27
+            otp_version: "27.0"
+            elixir_version: "1.17.0"
+
     runs-on: ubuntu-22.04
     steps:
       - uses: actions/checkout@v4
@@ -44,6 +48,7 @@ jobs:
         with:
           otp_version: ${{ matrix.otp_version }}
           otp: ${{ matrix.otp }}
+          elixir_version: ${{ matrix.elixir_version }}
 
       - name: Upload Pre-built
         env:
diff -pruN 0.34.0+dfsg-1/.github/workflows/release_pre_built/action.yml 0.34.1+dfsg-1/.github/workflows/release_pre_built/action.yml
--- 0.34.0+dfsg-1/.github/workflows/release_pre_built/action.yml	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/.github/workflows/release_pre_built/action.yml	2024-06-20 14:04:11.000000000 +0000
@@ -5,13 +5,15 @@ inputs:
     description: "The major OTP version"
   otp_version:
     description: "The exact OTP version (major.minor[.patch])"
+  elixir_version:
+    description: "The exact Elixir version (major.minor[.patch])"
 runs:
   using: "composite"
   steps:
     - uses: erlef/setup-beam@v1.16.0
       with:
         otp-version: ${{ inputs.otp_version }}
-        elixir-version: "1.16.0"
+        elixir-version: ${{ inputs.elixir_version }}
     - name: Build ex_doc
       shell: bash
       run: |
diff -pruN 0.34.0+dfsg-1/CHANGELOG.md 0.34.1+dfsg-1/CHANGELOG.md
--- 0.34.0+dfsg-1/CHANGELOG.md	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/CHANGELOG.md	2024-06-20 14:04:11.000000000 +0000
@@ -1,5 +1,16 @@
 # Changelog
 
+## v0.34.1 (2024-06-30)
+
+  * Enhancements
+    * Add a `v` shortcut to open/focus the version select
+    * Compatibility fixes for Elixir v1.17 and Erlang/OTP 27+
+
+  * Bug fixes
+    * Do not crash on unknown media types in assets during EPUB generation
+    * Fix slight shift on search bar input during focus
+    * Avoid unwanted showing/hiding of search bar on mobile when scrolling
+
 ## v0.34.0 (2024-05-30)
 
 This release requires Elixir v1.13.
diff -pruN 0.34.0+dfsg-1/assets/css/search-bar.css 0.34.1+dfsg-1/assets/css/search-bar.css
--- 0.34.0+dfsg-1/assets/css/search-bar.css	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/assets/css/search-bar.css	2024-06-20 14:04:11.000000000 +0000
@@ -25,7 +25,7 @@
 
 .top-search .search-bar .search-input {
   background-color: var(--searchSearch);
-  border: none;
+  border: 1px solid transparent;
   border-radius: 8px;
   color: var(--searchAccentMain);
   position: relative;
diff -pruN 0.34.0+dfsg-1/assets/js/entry/html.js 0.34.1+dfsg-1/assets/js/entry/html.js
--- 0.34.0+dfsg-1/assets/js/entry/html.js	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/assets/js/entry/html.js	2024-06-20 14:04:11.000000000 +0000
@@ -17,7 +17,7 @@ import { initialize as initTooltips } fr
 import { initialize as initHintsPage } from '../tooltips/hint-page'
 import { initialize as initCopyButton } from '../copy-button'
 import { initialize as initSettings } from '../settings'
-import { initialize as initOs } from '../os'
+import { initialize as initStyling } from '../styling'
 import { initialize as initTabsets } from '../tabsets'
 import { initialize as initPreview} from '../preview'
 
@@ -31,7 +31,7 @@ onDocumentReady(() => {
   initTooltips()
   initHintsPage()
   initCopyButton()
-  initOs()
+  initStyling()
   initTabsets()
 
   if (isPreview) {
diff -pruN 0.34.0+dfsg-1/assets/js/helpers.js 0.34.1+dfsg-1/assets/js/helpers.js
--- 0.34.0+dfsg-1/assets/js/helpers.js	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/assets/js/helpers.js	2024-06-20 14:04:11.000000000 +0000
@@ -213,10 +213,10 @@ export function getProjectNameAndVersion
 }
 
 /**
- * Return `true` if the client's OS is MacOS.
+ * Return `true` if the client's OS is Apple.
  *
  * @return {Boolean}
  */
-export function isMacOS () {
-  return /(Mac|iPhone|iPod|iPad)/i.test(navigator.platform)
+export function isAppleOS () {
+  return /(Macintosh|iPhone|iPad|iPod)/.test(window.navigator.userAgent)
 }
diff -pruN 0.34.0+dfsg-1/assets/js/keyboard-shortcuts.js 0.34.1+dfsg-1/assets/js/keyboard-shortcuts.js
--- 0.34.0+dfsg-1/assets/js/keyboard-shortcuts.js	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/assets/js/keyboard-shortcuts.js	2024-06-20 14:04:11.000000000 +0000
@@ -1,5 +1,6 @@
-import { isMacOS, qs } from './helpers'
-import { toggleSidebar } from './sidebar/sidebar-drawer'
+import { isAppleOS, qs } from './helpers'
+import { isSidebarOpened, openSidebar, toggleSidebar } from './sidebar/sidebar-drawer'
+import { openVersionSelect } from './sidebar/sidebar-version-select'
 import { focusSearchInput } from './search-bar'
 import { cycleTheme } from './theme'
 import { openQuickSwitchModal } from './quick-switch'
@@ -35,6 +36,11 @@ export const keyboardShortcuts = [
     action: searchKeyAction
   },
   {
+    key: 'v',
+    description: 'Open/focus version select',
+    action: versionKeyAction
+  },
+  {
     key: 'g',
     description: 'Search HexDocs package',
     displayAs: '<kbd><kbd>g</kdb></kdb>',
@@ -68,11 +74,11 @@ function addEventListeners () {
 
 function handleKeyDown (event) {
   if (state.shortcutBeingPressed) { return }
-  if (event.target.matches('input, textarea')) { return }
+  if (event.target.matches('input, select, textarea')) { return }
 
   const matchingShortcut = keyboardShortcuts.find(shortcut => {
     if (shortcut.hasModifier) {
-      if (isMacOS() && event.metaKey) { return shortcut.key === event.key }
+      if (isAppleOS() && event.metaKey) { return shortcut.key === event.key }
       if (event.ctrlKey) { return shortcut.key === event.key }
 
       return false
@@ -101,6 +107,16 @@ function searchKeyAction (event) {
   focusSearchInput()
 }
 
+function versionKeyAction () {
+  closeModal()
+
+  if (isSidebarOpened()) {
+    openVersionSelect()
+  } else {
+    openSidebar().then(openVersionSelect)
+  }
+}
+
 function toggleHelpModal () {
   if (isHelpModalOpen()) {
     closeModal()
diff -pruN 0.34.0+dfsg-1/assets/js/os.js 0.34.1+dfsg-1/assets/js/os.js
--- 0.34.0+dfsg-1/assets/js/os.js	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/assets/js/os.js	1970-01-01 00:00:00.000000000 +0000
@@ -1,6 +0,0 @@
-export function initialize () {
-  const appleDeviceExpr = /(Macintosh|iPhone|iPad|iPod)/
-
-  const osClass = appleDeviceExpr.test(window.navigator.userAgent) ? 'apple-os' : 'non-apple-os'
-  document.documentElement.classList.add(osClass)
-}
diff -pruN 0.34.0+dfsg-1/assets/js/search-bar.js 0.34.1+dfsg-1/assets/js/search-bar.js
--- 0.34.0+dfsg-1/assets/js/search-bar.js	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/assets/js/search-bar.js	2024-06-20 14:04:11.000000000 +0000
@@ -10,7 +10,7 @@ import {
   AUTOCOMPLETE_CONTAINER_SELECTOR,
   AUTOCOMPLETE_SUGGESTION_LIST_SELECTOR
 } from './autocomplete/autocomplete-list'
-import { isMacOS, qs } from './helpers'
+import { isAppleOS, qs } from './helpers'
 
 const SEARCH_INPUT_SELECTOR = 'form.search-bar input'
 const SEARCH_CLOSE_BUTTON_SELECTOR = 'form.search-bar .search-close-button'
@@ -67,17 +67,17 @@ function addEventListeners () {
   }
 
   searchInput.addEventListener('keydown', event => {
-    const macOS = isMacOS()
+    const appleOS = isAppleOS()
 
     if (event.key === 'Escape') {
       clearSearch()
       searchInput.blur()
     } else if (event.key === 'Enter') {
       handleAutocompleteFormSubmission(event)
-    } else if (event.key === 'ArrowUp' || (macOS && event.ctrlKey && event.key === 'p')) {
+    } else if (event.key === 'ArrowUp' || (appleOS && event.ctrlKey && event.key === 'p')) {
       moveAutocompleteSelection(-1)
       event.preventDefault()
-    } else if (event.key === 'ArrowDown' || (macOS && event.ctrlKey && event.key === 'n')) {
+    } else if (event.key === 'ArrowDown' || (appleOS && event.ctrlKey && event.key === 'n')) {
       moveAutocompleteSelection(1)
       event.preventDefault()
     } else if (event.key === 'Tab') {
@@ -172,29 +172,23 @@ function hideAutocomplete () {
   hideAutocompleteList()
 }
 
-let lastScrollTop = window.scrollY
-const scrollThreshold = 70 // Set a threshold for scroll, adjust as needed
+let lastScroll = window.scrollY
+const scrollThreshold = 70 // Threshold beyond which search bar may be hidden
+const scrollConsideredIntentional = -2 // Pixels (negative sign) considered to indicate intent
 
 window.addEventListener('scroll', function () {
   const currentScroll = window.scrollY
 
-  // Add 'scroll-sticky' class when not at the top
-  if (currentScroll > scrollThreshold * 2) {
-    document.body.classList.add('scroll-sticky')
-  }
-
   // Remove when at the top
   if (currentScroll === 0) {
     document.body.classList.remove('scroll-sticky')
-  }
-
-  if (currentScroll > lastScrollTop && currentScroll > scrollThreshold) {
+  } else if (lastScroll - currentScroll < scrollConsideredIntentional && currentScroll > scrollThreshold) {
     // Scrolling down and past the threshold
     document.body.classList.remove('scroll-sticky')
-  } else {
-    // Scrolling up or at the top of the page
+  } else if (lastScroll - currentScroll > Math.abs(scrollConsideredIntentional)) {
+    // Scrolling up
     document.body.classList.add('scroll-sticky')
   }
 
-  lastScrollTop = currentScroll <= 0 ? 0 : currentScroll
+  lastScroll = currentScroll <= 0 ? 0 : currentScroll
 }, false)
diff -pruN 0.34.0+dfsg-1/assets/js/sidebar/sidebar-drawer.js 0.34.1+dfsg-1/assets/js/sidebar/sidebar-drawer.js
--- 0.34.0+dfsg-1/assets/js/sidebar/sidebar-drawer.js	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/assets/js/sidebar/sidebar-drawer.js	2024-06-20 14:04:11.000000000 +0000
@@ -127,6 +127,13 @@ function isSidebarOpen () {
 }
 
 /**
+ * Returns if sidebar is fully open.
+ */
+export function isSidebarOpened () {
+  return document.body.classList.contains(SIDEBAR_CLASS.opened)
+}
+
+/**
  * Opens the sidebar by applying an animation.
  *
  * @returns {Promise} A promise resolving once the animation is finished.
@@ -136,13 +143,13 @@ export function openSidebar () {
   sessionStorage.setItem('sidebar_state', 'opened')
   qs(SIDEBAR_TOGGLE_SELECTOR).setAttribute('aria-expanded', 'true')
 
-  requestAnimationFrame(() => {
-    setClass(SIDEBAR_CLASS.openingStart)
-
+  return new Promise((resolve, reject) => {
     requestAnimationFrame(() => {
-      setClass(SIDEBAR_CLASS.opening)
+      setClass(SIDEBAR_CLASS.openingStart)
+
+      requestAnimationFrame(() => {
+        setClass(SIDEBAR_CLASS.opening)
 
-      return new Promise((resolve, reject) => {
         state.togglingTimeout = setTimeout(() => {
           setClass(SIDEBAR_CLASS.opened)
           resolve()
@@ -162,13 +169,13 @@ export function closeSidebar () {
   sessionStorage.setItem('sidebar_state', 'closed')
   qs(SIDEBAR_TOGGLE_SELECTOR).setAttribute('aria-expanded', 'false')
 
-  requestAnimationFrame(() => {
-    setClass(SIDEBAR_CLASS.closingStart)
-
+  return new Promise((resolve, reject) => {
     requestAnimationFrame(() => {
-      setClass(SIDEBAR_CLASS.closing)
+      setClass(SIDEBAR_CLASS.closingStart)
+
+      requestAnimationFrame(() => {
+        setClass(SIDEBAR_CLASS.closing)
 
-      return new Promise((resolve, reject) => {
         state.togglingTimeout = setTimeout(() => {
           setClass(SIDEBAR_CLASS.closed)
           resolve()
diff -pruN 0.34.0+dfsg-1/assets/js/sidebar/sidebar-version-select.js 0.34.1+dfsg-1/assets/js/sidebar/sidebar-version-select.js
--- 0.34.0+dfsg-1/assets/js/sidebar/sidebar-version-select.js	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/assets/js/sidebar/sidebar-version-select.js	2024-06-20 14:04:11.000000000 +0000
@@ -70,3 +70,29 @@ function handleVersionSelected (event) {
       }
     })
 }
+
+/**
+ * Opens the version select if available.
+ * Only focuses the version select if
+ *   - the browser's HTMLSelectElement lacks the showPicker method
+ *   - there has been transient user interaction
+ */
+export function openVersionSelect () {
+  const select = qs(VERSIONS_DROPDOWN_SELECTOR)
+
+  if (select) {
+    select.focus()
+
+    // Prevent subsequent 'v' press from submitting form
+    select.addEventListener('keydown', event => {
+      if (event.key === 'Escape' || event.key === 'v') {
+        event.preventDefault()
+        select.blur()
+      }
+    })
+
+    if (navigator.userActivation.isActive && 'showPicker' in HTMLSelectElement.prototype) {
+      select.showPicker()
+    }
+  }
+}
diff -pruN 0.34.0+dfsg-1/assets/js/styling.js 0.34.1+dfsg-1/assets/js/styling.js
--- 0.34.0+dfsg-1/assets/js/styling.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.34.1+dfsg-1/assets/js/styling.js	2024-06-20 14:04:11.000000000 +0000
@@ -0,0 +1,6 @@
+import { isAppleOS } from './helpers'
+
+export function initialize () {
+  const osClass = isAppleOS() ? 'apple-os' : 'non-apple-os'
+  document.documentElement.classList.add(osClass)
+}
diff -pruN 0.34.0+dfsg-1/assets/package-lock.json 0.34.1+dfsg-1/assets/package-lock.json
--- 0.34.0+dfsg-1/assets/package-lock.json	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/assets/package-lock.json	2024-06-20 14:04:11.000000000 +0000
@@ -498,9 +498,9 @@
       }
     },
     "node_modules/@socket.io/component-emitter": {
-      "version": "3.1.0",
-      "resolved": "https://registry.npmjs.org/@socket.io/component-emitter/-/component-emitter-3.1.0.tgz",
-      "integrity": "sha512-+9jVqKhRSpsc591z5vX+X5Yyw+he/HCB4iQ/RYxw35CEPaY1gnsNE43nf9n9AaYjAQrTiI/mOwKUKdUs9vf7Xg==",
+      "version": "3.1.2",
+      "resolved": "https://registry.npmjs.org/@socket.io/component-emitter/-/component-emitter-3.1.2.tgz",
+      "integrity": "sha512-9BCxFwvbGg/RsZK9tjXd8s4UcwR0MWeFQ1XEKIQVVvAGJyINdrqKMcTRyLoK8Rse1GjzLV9cwjWV1olXRWEXVA==",
       "dev": true
     },
     "node_modules/@types/cookie": {
@@ -510,9 +510,9 @@
       "dev": true
     },
     "node_modules/@types/cors": {
-      "version": "2.8.13",
-      "resolved": "https://registry.npmjs.org/@types/cors/-/cors-2.8.13.tgz",
-      "integrity": "sha512-RG8AStHlUiV5ysZQKq97copd2UmVYw3/pRMLefISZ3S1hK104Cwm7iLQ3fTKx+lsUH2CE8FlLaYeEA2LSeqYUA==",
+      "version": "2.8.17",
+      "resolved": "https://registry.npmjs.org/@types/cors/-/cors-2.8.17.tgz",
+      "integrity": "sha512-8CGDvrBj1zgo2qE+oS3pOCyYNqCPryMWY2bGfwA0dcfopWGgxs+78df0Rs3rc9THP4JkOhLsAa+15VdpAqkcUA==",
       "dev": true,
       "dependencies": {
         "@types/node": "*"
@@ -525,10 +525,13 @@
       "dev": true
     },
     "node_modules/@types/node": {
-      "version": "18.16.3",
-      "resolved": "https://registry.npmjs.org/@types/node/-/node-18.16.3.tgz",
-      "integrity": "sha512-OPs5WnnT1xkCBiuQrZA4+YAV4HEJejmHneyraIaxsbev5yCEr6KMwINNFP9wQeFIw8FWcoTqF3vQsa5CDaI+8Q==",
-      "dev": true
+      "version": "20.14.6",
+      "resolved": "https://registry.npmjs.org/@types/node/-/node-20.14.6.tgz",
+      "integrity": "sha512-JbA0XIJPL1IiNnU7PFxDXyfAwcwVVrOoqyzzyQTyMeVhBzkJVMSkC1LlVsRQ2lpqiY4n6Bb9oCS6lzDKVQxbZw==",
+      "dev": true,
+      "dependencies": {
+        "undici-types": "~5.26.4"
+      }
     },
     "node_modules/accepts": {
       "version": "1.3.8",
@@ -764,12 +767,12 @@
       }
     },
     "node_modules/braces": {
-      "version": "3.0.2",
-      "resolved": "https://registry.npmjs.org/braces/-/braces-3.0.2.tgz",
-      "integrity": "sha512-b8um+L1RzM3WDSzvhm6gIz1yfTbBt6YTlcEKAvsmqCZZFw46z626lVj9j1yEPW33H5H+lBQpZMP1k8l+78Ha0A==",
+      "version": "3.0.3",
+      "resolved": "https://registry.npmjs.org/braces/-/braces-3.0.3.tgz",
+      "integrity": "sha512-yQbXgO/OSZVD2IsiLlro+7Hf6Q18EJrKSEsdoMzKePKXct3gvD8oLcOQdIzGupr5Fj+EDe8gO/lxc1BzfMpxvA==",
       "dev": true,
       "dependencies": {
-        "fill-range": "^7.0.1"
+        "fill-range": "^7.1.1"
       },
       "engines": {
         "node": ">=8"
@@ -1216,9 +1219,9 @@
       }
     },
     "node_modules/engine.io": {
-      "version": "6.4.2",
-      "resolved": "https://registry.npmjs.org/engine.io/-/engine.io-6.4.2.tgz",
-      "integrity": "sha512-FKn/3oMiJjrOEOeUub2WCox6JhxBXq/Zn3fZOMCBxKnNYtsdKjxhl7yR3fZhM9PV+rdE75SU5SYMc+2PGzo+Tg==",
+      "version": "6.5.5",
+      "resolved": "https://registry.npmjs.org/engine.io/-/engine.io-6.5.5.tgz",
+      "integrity": "sha512-C5Pn8Wk+1vKBoHghJODM63yk8MvrO9EWZUfkAt5HAqIgPE4/8FF0PEGHXtEd40l223+cE5ABWuPzm38PHFXfMA==",
       "dev": true,
       "dependencies": {
         "@types/cookie": "^0.4.1",
@@ -1229,22 +1232,43 @@
         "cookie": "~0.4.1",
         "cors": "~2.8.5",
         "debug": "~4.3.1",
-        "engine.io-parser": "~5.0.3",
-        "ws": "~8.11.0"
+        "engine.io-parser": "~5.2.1",
+        "ws": "~8.17.1"
       },
       "engines": {
-        "node": ">=10.0.0"
+        "node": ">=10.2.0"
       }
     },
     "node_modules/engine.io-parser": {
-      "version": "5.0.6",
-      "resolved": "https://registry.npmjs.org/engine.io-parser/-/engine.io-parser-5.0.6.tgz",
-      "integrity": "sha512-tjuoZDMAdEhVnSFleYPCtdL2GXwVTGtNjoeJd9IhIG3C1xs9uwxqRNEu5WpnDZCaozwVlK/nuQhpodhXSIMaxw==",
+      "version": "5.2.2",
+      "resolved": "https://registry.npmjs.org/engine.io-parser/-/engine.io-parser-5.2.2.tgz",
+      "integrity": "sha512-RcyUFKA93/CXH20l4SoVvzZfrSDMOTUS3bWVpTt2FuFP+XYrL8i8oonHP7WInRyVHXh0n/ORtoeiE1os+8qkSw==",
       "dev": true,
       "engines": {
         "node": ">=10.0.0"
       }
     },
+    "node_modules/engine.io/node_modules/ws": {
+      "version": "8.17.1",
+      "resolved": "https://registry.npmjs.org/ws/-/ws-8.17.1.tgz",
+      "integrity": "sha512-6XQFvXTkbfUOZOKKILFG1PDK2NDQs4azKQl26T0YS5CxqWLgXajbPZ+h4gZekJyRqFU8pvnbAbbs/3TgRPy+GQ==",
+      "dev": true,
+      "engines": {
+        "node": ">=10.0.0"
+      },
+      "peerDependencies": {
+        "bufferutil": "^4.0.1",
+        "utf-8-validate": ">=5.0.2"
+      },
+      "peerDependenciesMeta": {
+        "bufferutil": {
+          "optional": true
+        },
+        "utf-8-validate": {
+          "optional": true
+        }
+      }
+    },
     "node_modules/ent": {
       "version": "2.2.0",
       "resolved": "https://registry.npmjs.org/ent/-/ent-2.2.0.tgz",
@@ -1822,9 +1846,9 @@
       }
     },
     "node_modules/fill-range": {
-      "version": "7.0.1",
-      "resolved": "https://registry.npmjs.org/fill-range/-/fill-range-7.0.1.tgz",
-      "integrity": "sha512-qOo9F+dMUmC2Lcb4BbVvnKJxTPjCm+RRpe4gDuGrzkL7mEVl/djYSu2OdQ2Pa302N4oqkSg9ir6jaLWJ2USVpQ==",
+      "version": "7.1.1",
+      "resolved": "https://registry.npmjs.org/fill-range/-/fill-range-7.1.1.tgz",
+      "integrity": "sha512-YsGpe3WHLK8ZYi4tWDg2Jy3ebRz2rXowDxnld4bkQB00cc/1Zw9AWnC0i9ztDJitivtQvaI9KaLyKrc+hBW0yg==",
       "dev": true,
       "dependencies": {
         "to-regex-range": "^5.0.1"
@@ -3791,20 +3815,21 @@
       }
     },
     "node_modules/socket.io": {
-      "version": "4.6.1",
-      "resolved": "https://registry.npmjs.org/socket.io/-/socket.io-4.6.1.tgz",
-      "integrity": "sha512-KMcaAi4l/8+xEjkRICl6ak8ySoxsYG+gG6/XfRCPJPQ/haCRIJBTL4wIl8YCsmtaBovcAXGLOShyVWQ/FG8GZA==",
+      "version": "4.7.5",
+      "resolved": "https://registry.npmjs.org/socket.io/-/socket.io-4.7.5.tgz",
+      "integrity": "sha512-DmeAkF6cwM9jSfmp6Dr/5/mfMwb5Z5qRrSXLpo3Fq5SqyU8CMF15jIN4ZhfSwu35ksM1qmHZDQ/DK5XTccSTvA==",
       "dev": true,
       "dependencies": {
         "accepts": "~1.3.4",
         "base64id": "~2.0.0",
+        "cors": "~2.8.5",
         "debug": "~4.3.2",
-        "engine.io": "~6.4.1",
+        "engine.io": "~6.5.2",
         "socket.io-adapter": "~2.5.2",
-        "socket.io-parser": "~4.2.1"
+        "socket.io-parser": "~4.2.4"
       },
       "engines": {
-        "node": ">=10.0.0"
+        "node": ">=10.2.0"
       }
     },
     "node_modules/socket.io-adapter": {
@@ -3817,9 +3842,9 @@
       }
     },
     "node_modules/socket.io-parser": {
-      "version": "4.2.3",
-      "resolved": "https://registry.npmjs.org/socket.io-parser/-/socket.io-parser-4.2.3.tgz",
-      "integrity": "sha512-JMafRntWVO2DCJimKsRTh/wnqVvO4hrfwOqtO7f+uzwsQMuxO6VwImtYxaQ+ieoyshWOTJyV0fA21lccEXRPpQ==",
+      "version": "4.2.4",
+      "resolved": "https://registry.npmjs.org/socket.io-parser/-/socket.io-parser-4.2.4.tgz",
+      "integrity": "sha512-/GbIKmo8ioc+NIWIhwdecY0ge+qVBSMdgxGygevmdHj24bsfgtCmcUUcQ5ZzcylGFHsN3k4HB4Cgkl96KVnuew==",
       "dev": true,
       "dependencies": {
         "@socket.io/component-emitter": "~3.1.0",
@@ -4157,6 +4182,12 @@
         "url": "https://github.com/sponsors/ljharb"
       }
     },
+    "node_modules/undici-types": {
+      "version": "5.26.5",
+      "resolved": "https://registry.npmjs.org/undici-types/-/undici-types-5.26.5.tgz",
+      "integrity": "sha512-JlCMO+ehdEIKqlFxk6IfVoAUVmgz7cU7zD/h9XZ0qzeosSHmUJVOzSQvvYSYWXkFXC+IfLKSIffhv0sVZup6pA==",
+      "dev": true
+    },
     "node_modules/universalify": {
       "version": "2.0.0",
       "resolved": "https://registry.npmjs.org/universalify/-/universalify-2.0.0.tgz",
@@ -4637,9 +4668,9 @@
       }
     },
     "@socket.io/component-emitter": {
-      "version": "3.1.0",
-      "resolved": "https://registry.npmjs.org/@socket.io/component-emitter/-/component-emitter-3.1.0.tgz",
-      "integrity": "sha512-+9jVqKhRSpsc591z5vX+X5Yyw+he/HCB4iQ/RYxw35CEPaY1gnsNE43nf9n9AaYjAQrTiI/mOwKUKdUs9vf7Xg==",
+      "version": "3.1.2",
+      "resolved": "https://registry.npmjs.org/@socket.io/component-emitter/-/component-emitter-3.1.2.tgz",
+      "integrity": "sha512-9BCxFwvbGg/RsZK9tjXd8s4UcwR0MWeFQ1XEKIQVVvAGJyINdrqKMcTRyLoK8Rse1GjzLV9cwjWV1olXRWEXVA==",
       "dev": true
     },
     "@types/cookie": {
@@ -4649,9 +4680,9 @@
       "dev": true
     },
     "@types/cors": {
-      "version": "2.8.13",
-      "resolved": "https://registry.npmjs.org/@types/cors/-/cors-2.8.13.tgz",
-      "integrity": "sha512-RG8AStHlUiV5ysZQKq97copd2UmVYw3/pRMLefISZ3S1hK104Cwm7iLQ3fTKx+lsUH2CE8FlLaYeEA2LSeqYUA==",
+      "version": "2.8.17",
+      "resolved": "https://registry.npmjs.org/@types/cors/-/cors-2.8.17.tgz",
+      "integrity": "sha512-8CGDvrBj1zgo2qE+oS3pOCyYNqCPryMWY2bGfwA0dcfopWGgxs+78df0Rs3rc9THP4JkOhLsAa+15VdpAqkcUA==",
       "dev": true,
       "requires": {
         "@types/node": "*"
@@ -4664,10 +4695,13 @@
       "dev": true
     },
     "@types/node": {
-      "version": "18.16.3",
-      "resolved": "https://registry.npmjs.org/@types/node/-/node-18.16.3.tgz",
-      "integrity": "sha512-OPs5WnnT1xkCBiuQrZA4+YAV4HEJejmHneyraIaxsbev5yCEr6KMwINNFP9wQeFIw8FWcoTqF3vQsa5CDaI+8Q==",
-      "dev": true
+      "version": "20.14.6",
+      "resolved": "https://registry.npmjs.org/@types/node/-/node-20.14.6.tgz",
+      "integrity": "sha512-JbA0XIJPL1IiNnU7PFxDXyfAwcwVVrOoqyzzyQTyMeVhBzkJVMSkC1LlVsRQ2lpqiY4n6Bb9oCS6lzDKVQxbZw==",
+      "dev": true,
+      "requires": {
+        "undici-types": "~5.26.4"
+      }
     },
     "accepts": {
       "version": "1.3.8",
@@ -4844,12 +4878,12 @@
       }
     },
     "braces": {
-      "version": "3.0.2",
-      "resolved": "https://registry.npmjs.org/braces/-/braces-3.0.2.tgz",
-      "integrity": "sha512-b8um+L1RzM3WDSzvhm6gIz1yfTbBt6YTlcEKAvsmqCZZFw46z626lVj9j1yEPW33H5H+lBQpZMP1k8l+78Ha0A==",
+      "version": "3.0.3",
+      "resolved": "https://registry.npmjs.org/braces/-/braces-3.0.3.tgz",
+      "integrity": "sha512-yQbXgO/OSZVD2IsiLlro+7Hf6Q18EJrKSEsdoMzKePKXct3gvD8oLcOQdIzGupr5Fj+EDe8gO/lxc1BzfMpxvA==",
       "dev": true,
       "requires": {
-        "fill-range": "^7.0.1"
+        "fill-range": "^7.1.1"
       }
     },
     "browser-stdout": {
@@ -5187,9 +5221,9 @@
       "dev": true
     },
     "engine.io": {
-      "version": "6.4.2",
-      "resolved": "https://registry.npmjs.org/engine.io/-/engine.io-6.4.2.tgz",
-      "integrity": "sha512-FKn/3oMiJjrOEOeUub2WCox6JhxBXq/Zn3fZOMCBxKnNYtsdKjxhl7yR3fZhM9PV+rdE75SU5SYMc+2PGzo+Tg==",
+      "version": "6.5.5",
+      "resolved": "https://registry.npmjs.org/engine.io/-/engine.io-6.5.5.tgz",
+      "integrity": "sha512-C5Pn8Wk+1vKBoHghJODM63yk8MvrO9EWZUfkAt5HAqIgPE4/8FF0PEGHXtEd40l223+cE5ABWuPzm38PHFXfMA==",
       "dev": true,
       "requires": {
         "@types/cookie": "^0.4.1",
@@ -5200,14 +5234,23 @@
         "cookie": "~0.4.1",
         "cors": "~2.8.5",
         "debug": "~4.3.1",
-        "engine.io-parser": "~5.0.3",
-        "ws": "~8.11.0"
+        "engine.io-parser": "~5.2.1",
+        "ws": "~8.17.1"
+      },
+      "dependencies": {
+        "ws": {
+          "version": "8.17.1",
+          "resolved": "https://registry.npmjs.org/ws/-/ws-8.17.1.tgz",
+          "integrity": "sha512-6XQFvXTkbfUOZOKKILFG1PDK2NDQs4azKQl26T0YS5CxqWLgXajbPZ+h4gZekJyRqFU8pvnbAbbs/3TgRPy+GQ==",
+          "dev": true,
+          "requires": {}
+        }
       }
     },
     "engine.io-parser": {
-      "version": "5.0.6",
-      "resolved": "https://registry.npmjs.org/engine.io-parser/-/engine.io-parser-5.0.6.tgz",
-      "integrity": "sha512-tjuoZDMAdEhVnSFleYPCtdL2GXwVTGtNjoeJd9IhIG3C1xs9uwxqRNEu5WpnDZCaozwVlK/nuQhpodhXSIMaxw==",
+      "version": "5.2.2",
+      "resolved": "https://registry.npmjs.org/engine.io-parser/-/engine.io-parser-5.2.2.tgz",
+      "integrity": "sha512-RcyUFKA93/CXH20l4SoVvzZfrSDMOTUS3bWVpTt2FuFP+XYrL8i8oonHP7WInRyVHXh0n/ORtoeiE1os+8qkSw==",
       "dev": true
     },
     "ent": {
@@ -5650,9 +5693,9 @@
       }
     },
     "fill-range": {
-      "version": "7.0.1",
-      "resolved": "https://registry.npmjs.org/fill-range/-/fill-range-7.0.1.tgz",
-      "integrity": "sha512-qOo9F+dMUmC2Lcb4BbVvnKJxTPjCm+RRpe4gDuGrzkL7mEVl/djYSu2OdQ2Pa302N4oqkSg9ir6jaLWJ2USVpQ==",
+      "version": "7.1.1",
+      "resolved": "https://registry.npmjs.org/fill-range/-/fill-range-7.1.1.tgz",
+      "integrity": "sha512-YsGpe3WHLK8ZYi4tWDg2Jy3ebRz2rXowDxnld4bkQB00cc/1Zw9AWnC0i9ztDJitivtQvaI9KaLyKrc+hBW0yg==",
       "dev": true,
       "requires": {
         "to-regex-range": "^5.0.1"
@@ -7071,17 +7114,18 @@
       "requires": {}
     },
     "socket.io": {
-      "version": "4.6.1",
-      "resolved": "https://registry.npmjs.org/socket.io/-/socket.io-4.6.1.tgz",
-      "integrity": "sha512-KMcaAi4l/8+xEjkRICl6ak8ySoxsYG+gG6/XfRCPJPQ/haCRIJBTL4wIl8YCsmtaBovcAXGLOShyVWQ/FG8GZA==",
+      "version": "4.7.5",
+      "resolved": "https://registry.npmjs.org/socket.io/-/socket.io-4.7.5.tgz",
+      "integrity": "sha512-DmeAkF6cwM9jSfmp6Dr/5/mfMwb5Z5qRrSXLpo3Fq5SqyU8CMF15jIN4ZhfSwu35ksM1qmHZDQ/DK5XTccSTvA==",
       "dev": true,
       "requires": {
         "accepts": "~1.3.4",
         "base64id": "~2.0.0",
+        "cors": "~2.8.5",
         "debug": "~4.3.2",
-        "engine.io": "~6.4.1",
+        "engine.io": "~6.5.2",
         "socket.io-adapter": "~2.5.2",
-        "socket.io-parser": "~4.2.1"
+        "socket.io-parser": "~4.2.4"
       }
     },
     "socket.io-adapter": {
@@ -7094,9 +7138,9 @@
       }
     },
     "socket.io-parser": {
-      "version": "4.2.3",
-      "resolved": "https://registry.npmjs.org/socket.io-parser/-/socket.io-parser-4.2.3.tgz",
-      "integrity": "sha512-JMafRntWVO2DCJimKsRTh/wnqVvO4hrfwOqtO7f+uzwsQMuxO6VwImtYxaQ+ieoyshWOTJyV0fA21lccEXRPpQ==",
+      "version": "4.2.4",
+      "resolved": "https://registry.npmjs.org/socket.io-parser/-/socket.io-parser-4.2.4.tgz",
+      "integrity": "sha512-/GbIKmo8ioc+NIWIhwdecY0ge+qVBSMdgxGygevmdHj24bsfgtCmcUUcQ5ZzcylGFHsN3k4HB4Cgkl96KVnuew==",
       "dev": true,
       "requires": {
         "@socket.io/component-emitter": "~3.1.0",
@@ -7338,6 +7382,12 @@
         "which-boxed-primitive": "^1.0.2"
       }
     },
+    "undici-types": {
+      "version": "5.26.5",
+      "resolved": "https://registry.npmjs.org/undici-types/-/undici-types-5.26.5.tgz",
+      "integrity": "sha512-JlCMO+ehdEIKqlFxk6IfVoAUVmgz7cU7zD/h9XZ0qzeosSHmUJVOzSQvvYSYWXkFXC+IfLKSIffhv0sVZup6pA==",
+      "dev": true
+    },
     "universalify": {
       "version": "2.0.0",
       "resolved": "https://registry.npmjs.org/universalify/-/universalify-2.0.0.tgz",
diff -pruN 0.34.0+dfsg-1/debian/changelog 0.34.1+dfsg-1/debian/changelog
--- 0.34.0+dfsg-1/debian/changelog	2024-06-07 11:59:45.000000000 +0000
+++ 0.34.1+dfsg-1/debian/changelog	2024-06-24 12:53:32.000000000 +0000
@@ -1,3 +1,9 @@
+elixir-ex-doc (0.34.1+dfsg-1) unstable; urgency=medium
+
+  * New upstream release.
+
+ -- Sergei Golovan <sgolovan@debian.org>  Mon, 24 Jun 2024 15:53:32 +0300
+
 elixir-ex-doc (0.34.0+dfsg-1) unstable; urgency=medium
 
   * New upstream release.
diff -pruN 0.34.0+dfsg-1/lib/ex_doc/formatter/epub/templates/content_template.eex 0.34.1+dfsg-1/lib/ex_doc/formatter/epub/templates/content_template.eex
--- 0.34.0+dfsg-1/lib/ex_doc/formatter/epub/templates/content_template.eex	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/lib/ex_doc/formatter/epub/templates/content_template.eex	2024-06-20 14:04:11.000000000 +0000
@@ -23,14 +23,14 @@
     <%= for filter <- [:modules, :tasks], node <- nodes[filter] do %>
       <item id="<%= URI.encode node.id %>" href="<%= URI.encode node.id %>.xhtml" media-type="application/xhtml+xml" properties="scripted"/>
     <% end %>
-    <%= for static_file <- static_files do %>
-      <item id="<%= static_file_to_id(static_file) %>" href="<%= static_file %>" media-type="<%= media_type(Path.extname(static_file)) %>"/>
+    <%= for {static_file, media_type} <- static_files do %>
+      <item id="<%= static_file_to_id(static_file) %>" href="<%= static_file %>" media-type="<%= media_type %>"/>
     <% end %>
     <%= if config.cover do %>
-      <item id="cover-image" href="assets/cover<%= Path.extname(config.cover) %>" media-type="<%= media_type(Path.extname(config.cover))%>"/>
+      <item id="cover-image" href="assets/cover<%= Path.extname(config.cover) %>" media-type="<%= media_type(Path.extname(config.cover)) %>"/>
     <% end %>
     <%= if config.logo do %>
-      <item id="logo" href="assets/logo<%= Path.extname(config.logo) %>" media-type="<%= media_type(Path.extname(config.logo))%>"/>
+      <item id="logo" href="assets/logo<%= Path.extname(config.logo) %>" media-type="<%= media_type(Path.extname(config.logo)) %>"/>
     <% end %>
   </manifest>
   <spine>
diff -pruN 0.34.0+dfsg-1/lib/ex_doc/formatter/epub/templates.ex 0.34.1+dfsg-1/lib/ex_doc/formatter/epub/templates.ex
--- 0.34.0+dfsg-1/lib/ex_doc/formatter/epub/templates.ex	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/lib/ex_doc/formatter/epub/templates.ex	2024-06-20 14:04:11.000000000 +0000
@@ -129,11 +129,10 @@ defmodule ExDoc.Formatter.EPUB.Templates
   |> Enum.each(fn line ->
     [extension, media] = String.split(line, ",")
 
-    defp media_type("." <> unquote(extension)) do
+    def media_type("." <> unquote(extension)) do
       unquote(media)
     end
   end)
 
-  defp media_type(arg),
-    do: raise("asset with extension #{inspect(arg)} is not supported by EPUB format")
+  def media_type(_arg), do: nil
 end
diff -pruN 0.34.0+dfsg-1/lib/ex_doc/formatter/epub.ex 0.34.1+dfsg-1/lib/ex_doc/formatter/epub.ex
--- 0.34.0+dfsg-1/lib/ex_doc/formatter/epub.ex	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/lib/ex_doc/formatter/epub.ex	2024-06-20 14:04:11.000000000 +0000
@@ -76,11 +76,10 @@ defmodule ExDoc.Formatter.EPUB do
 
   defp generate_content(config, nodes, uuid, datetime, static_files) do
     static_files =
-      static_files
-      |> Enum.filter(fn name ->
-        String.contains?(name, "OEBPS") and config.output |> Path.join(name) |> File.regular?()
-      end)
-      |> Enum.map(&Path.relative_to(&1, "OEBPS"))
+      for name <- static_files,
+          String.contains?(name, "OEBPS"),
+          media_type = Templates.media_type(Path.extname(name)),
+          do: {Path.relative_to(name, "OEBPS"), media_type}
 
     content = Templates.content_template(config, nodes, uuid, datetime, static_files)
     File.write("#{config.output}/OEBPS/content.opf", content)
diff -pruN 0.34.0+dfsg-1/lib/ex_doc/formatter/html.ex 0.34.1+dfsg-1/lib/ex_doc/formatter/html.ex
--- 0.34.0+dfsg-1/lib/ex_doc/formatter/html.ex	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/lib/ex_doc/formatter/html.ex	2024-06-20 14:04:11.000000000 +0000
@@ -289,9 +289,11 @@ defmodule ExDoc.Formatter.HTML do
       if is_map(assets) do
         Enum.map(assets, fn {source, target} -> {source, Path.join(namespace, target)} end)
       else
-        IO.warn(
-          "giving a binary to :assets is deprecated, please give a map from source to target instead"
-        )
+        IO.warn("""
+        giving a binary to :assets is deprecated, please give a map from source to target instead:
+
+            #{inspect(assets: %{assets => "assets"})}
+        """)
 
         [{assets, Path.join(namespace, "assets")}]
       end
diff -pruN 0.34.0+dfsg-1/lib/ex_doc/language/erlang.ex 0.34.1+dfsg-1/lib/ex_doc/language/erlang.ex
--- 0.34.0+dfsg-1/lib/ex_doc/language/erlang.ex	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/lib/ex_doc/language/erlang.ex	2024-06-20 14:04:11.000000000 +0000
@@ -561,7 +561,7 @@ defmodule ExDoc.Language.Erlang do
                 name == :record and acc != [] ->
                   {ast, acc}
 
-                name in [:"::", :when, :%{}, :{}, :|, :->] ->
+                name in [:"::", :when, :%{}, :{}, :|, :->, :...] ->
                   {ast, acc}
 
                 # %{required(...) => ..., optional(...) => ...}
diff -pruN 0.34.0+dfsg-1/mix.exs 0.34.1+dfsg-1/mix.exs
--- 0.34.0+dfsg-1/mix.exs	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/mix.exs	2024-06-20 14:04:11.000000000 +0000
@@ -2,7 +2,7 @@ defmodule ExDoc.Mixfile do
   use Mix.Project
 
   @source_url "https://github.com/elixir-lang/ex_doc"
-  @version "0.34.0"
+  @version "0.34.1"
 
   def project do
     [
diff -pruN 0.34.0+dfsg-1/test/ex_doc/formatter/epub_test.exs 0.34.1+dfsg-1/test/ex_doc/formatter/epub_test.exs
--- 0.34.0+dfsg-1/test/ex_doc/formatter/epub_test.exs	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/test/ex_doc/formatter/epub_test.exs	2024-06-20 14:04:11.000000000 +0000
@@ -67,19 +67,6 @@ defmodule ExDoc.Formatter.EPUBTest do
     assert content =~ ~r{<dc:creator id="author2">Jane Doe</dc:creator>}
   end
 
-  test "raises when assets are invalid", context do
-    File.mkdir_p!("test/tmp/epub_assets/hello")
-    File.touch!("test/tmp/epub_assets/hello/world.pdf")
-
-    assert_raise(
-      RuntimeError,
-      ~s{asset with extension ".pdf" is not supported by EPUB format},
-      fn -> generate_docs(doc_config(context, assets: %{"test/tmp/epub_assets" => "assets"})) end
-    )
-  after
-    File.rm_rf!("test/tmp/epub_assets")
-  end
-
   test "generates an EPUB file in the default directory", %{tmp_dir: tmp_dir} = context do
     generate_docs(doc_config(context))
     assert File.regular?(tmp_dir <> "/epub/#{doc_config(context)[:project]}.epub")
@@ -232,6 +219,7 @@ defmodule ExDoc.Formatter.EPUBTest do
   test "assets required by the user end up in the right place", %{tmp_dir: tmp_dir} = context do
     File.mkdir_p!("test/tmp/epub_assets/hello")
     File.touch!("test/tmp/epub_assets/hello/world.png")
+    File.touch!("test/tmp/epub_assets/hello/world.pdf")
 
     generate_docs_and_unzip(
       context,
@@ -243,6 +231,7 @@ defmodule ExDoc.Formatter.EPUBTest do
     )
 
     assert File.regular?(tmp_dir <> "/epub/OEBPS/assets/hello/world.png")
+    assert File.regular?(tmp_dir <> "/epub/OEBPS/assets/hello/world.pdf")
     assert File.regular?(tmp_dir <> "/epub/OEBPS/assets/logo.png")
     assert File.regular?(tmp_dir <> "/epub/OEBPS/assets/cover.png")
   after
diff -pruN 0.34.0+dfsg-1/test/ex_doc/formatter/html_test.exs 0.34.1+dfsg-1/test/ex_doc/formatter/html_test.exs
--- 0.34.0+dfsg-1/test/ex_doc/formatter/html_test.exs	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/test/ex_doc/formatter/html_test.exs	2024-06-20 14:04:11.000000000 +0000
@@ -50,11 +50,29 @@ defmodule ExDoc.Formatter.HTMLTest do
   test "normalizes options", %{tmp_dir: tmp_dir} = context do
     # 1. Check for output dir having trailing "/" stripped
     # 2. Check for default [main: "api-reference"]
-    generate_docs(doc_config(context, output: tmp_dir <> "/html//", main: nil))
+    # 3. Check for assets as a string [assets: "/assets"]
+
+    File.mkdir_p!("test/tmp/html_assets/hello")
+    File.touch!("test/tmp/html_assets/hello/world")
+
+    warning =
+      capture_io(:stderr, fn ->
+        generate_docs(
+          doc_config(context,
+            output: tmp_dir <> "/html//",
+            main: nil,
+            assets: "test/tmp/html_assets"
+          )
+        )
+      end)
+
+    assert warning =~ "binary to :assets is deprecated"
+    assert warning =~ ~S([assets: %{"test/tmp/html_assets" => "assets"}])
 
     content = File.read!(tmp_dir <> "/html/index.html")
     assert content =~ ~r{<meta http-equiv="refresh" content="0; url=api-reference.html">}
     assert File.regular?(tmp_dir <> "/html/api-reference.html")
+    assert File.regular?(tmp_dir <> "/html/assets/hello/world")
 
     # 3. main as index is not allowed
     config = doc_config(context, main: "index")
diff -pruN 0.34.0+dfsg-1/test/ex_doc/retriever/erlang_test.exs 0.34.1+dfsg-1/test/ex_doc/retriever/erlang_test.exs
--- 0.34.0+dfsg-1/test/ex_doc/retriever/erlang_test.exs	2024-05-30 12:55:05.000000000 +0000
+++ 0.34.1+dfsg-1/test/ex_doc/retriever/erlang_test.exs	2024-06-20 14:04:11.000000000 +0000
@@ -11,6 +11,7 @@ defmodule ExDoc.Retriever.ErlangTest do
     test "module with no docs is generated", c do
       erlc(c, :mod, ~S"""
       -module(mod).
+      -moduledoc("").
       """)
 
       assert {[_], []} = Retriever.docs_from_modules([:mod], %ExDoc.Config{})
@@ -217,6 +218,7 @@ defmodule ExDoc.Retriever.ErlangTest do
       erlc(c, :mod, ~S"""
       -module(mod).
       -export([f/0]).
+      -moduledoc("").
 
       f() -> ok.
       """)
@@ -319,6 +321,7 @@ defmodule ExDoc.Retriever.ErlangTest do
       erlc(c, :mod, ~s"""
       -module(mod).
       -export([function/0]).
+      -moduledoc("").
 
       -record(a, { a = 1 :: pos_integer(),
                    b :: non_neg_integer(),
